Attribute VB_Name = "basFile"
Option Explicit

Public Function IsOpenVbpFileDlg(ByVal vobjCmnDlg As Object _
                               , ByRef rstrFileNm As String) As Boolean
'vbp t@CJ _CAO\

    Dim intRet                      As Integer

    On Error GoTo Exception

    IsOpenVbpFileDlg = False
    rstrFileNm = vbNullString

    With vobjCmnDlg
        .CancelError = True
        .Flags = cdlOFNCreatePrompt Or _
                 cdlOFNHideReadOnly Or _
                 cdlOFNNoReadOnlyReturn Or _
                 cdlOFNOverwritePrompt
        .Filter = "vWFNg t@C (*.vbp)|*.vbp"
        .FilterIndex = 1
        .InitDir = DIR_SEPARATE
        .FileName = vbNullString
    End With

    On Error Resume Next

    '_CAO\
    vobjCmnDlg.ShowOpen

    If (Err.Number = cdlCancel) Then
        'LZꂽ珈Ȃ
        Exit Function
    Else
        If (Err.Number <> 0) Then
            Call MsgBox(Err.Description, vbOKOnly + vbCritical, App.TITLE)
            Exit Function
        End If
    End If

    vobjCmnDlg.Parent.Refresh

    On Error GoTo 0
    On Error GoTo Exception

    '_CAOőIt@CԂ
    rstrFileNm = vobjCmnDlg.FileName

    IsOpenVbpFileDlg = True
    Exit Function

Exception:
    Call MsgBox(Err.Description, vbOKOnly + vbCritical, App.TITLE)
    On Error GoTo 0

End Function

Public Function StrGetFilePath(ByVal vstrFilePath As String) As String
'Ɏw肵t@C̃tpXpXԂ

    Dim lngCharLength               As Long
    Dim lngCnt                      As Long
    Dim strWork                     As String
    Dim lngWork                     As Long
    Dim strPathWithoutFileName      As String

    StrGetFilePath = vbNullString
    strPathWithoutFileName = vbNullString

    If InStr(1, vstrFilePath, DIR_SEPARATE) <= 0 Then
        StrGetFilePath = vbNullString
        Exit Function
    End If

    lngCharLength = Len(vstrFilePath)

    For lngCnt = 0 To lngCharLength - 1
        lngWork = lngCharLength - lngCnt
        strWork = Mid(vstrFilePath, lngWork, 1)
        If strWork = DIR_SEPARATE Then
            strPathWithoutFileName = Left(vstrFilePath, lngWork - 1)
            Exit For
        End If
    Next lngCnt

    StrGetFilePath = Trim(strPathWithoutFileName)
End Function

Public Function StrGetFileName(ByVal vstrFilePath As String) As String
'Ɏw肵t@C̃tpXt@CԂ

    Dim lngCharLength               As Long
    Dim lngCnt                      As Long
    Dim strWork                     As String
    Dim lngWork                     As Long
    Dim strFileName                 As String

    StrGetFileName = vbNullString
    strFileName = vbNullString

    If InStr(1, vstrFilePath, DIR_SEPARATE) <= 0 Then
        StrGetFileName = Trim(vstrFilePath)
        Exit Function
    End If

    lngCharLength = Len(vstrFilePath)

    For lngCnt = 0 To lngCharLength - 1
        lngWork = lngCharLength - lngCnt
        strWork = Mid(vstrFilePath, lngWork, 1)
        If strWork = DIR_SEPARATE Then
            strFileName = Right(vstrFilePath, lngCnt)
            Exit For
        End If
    Next lngCnt

    StrGetFileName = Trim(strFileName)
End Function

